@charset "UTF-8";

:root {
    --menu-bar-height: 100px;
    --menu-buttons-size: 60px;
    --greyText: #757575;



}

html,
body {
    margin: 0;
    padding: 0;
    color: black;
    font-family: 'Quicksand';

}

a {
    text-decoration: none;
    color: black;
}

h1 {
    color: black;
    text-align: start;
    font-size: 1.75rem;
}

h2 {
    color: black;
    margin: 0;
}

body {
    padding-top: var(--menu-bar-height);

}


p {

    color: black;
}


.bg-image {
    position: relative;
    display: grid;
    height: 500px;
    overflow: hidden;

}

.bg-image-flex,
.bg-image-flex-tiny {
    display: flex;
    vertical-align: middle;
}

.bg-image-flex img,
.bg-image-flex-tiny img,
.bg-image img:not(.service_map_wrapper img):not(.phone-icon):not(.my-form img) {
    position: absolute;
    inset: 0;
    /* shorthand for top: 0; right: 0; bottom: 0; left: 0 */
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* behaves like background-size: cover */
    object-position: center;
    /* like background-position: center */
    z-index: 0;
    pointer-events: none;
    /* prevents image from blocking text interaction */
}



.bg-image-text {
    position: relative;
    color: white;
    background: rgba(0, 0, 0, 0.6);
    border-radius: 10px;
    width: 100%;
    margin: 100px auto;
    max-width: 700px;
    padding: 10px;
    text-align: center;
    height: fit-content;

    /* display: flex; */
}

.bg-image-text p {
    width: 100%;
    padding: 0%;
    margin: 20px 0;
    color: white;
}


@media (max-width: 900px) {
    .bg-image-text {
        max-width: 500px;
    }
}

@media (max-width: 600px) {

    .bg-image,
    .bg-image-flex {
        min-height: 800px;
    }

    .bg-image-flex-tiny {
        min-height: none;
    }

    .bg-image-text {
        max-width: 95vw;

    }
}



.bg-image img:not(.exclude-this img):not(.exclude-something-else) {
    position: absolute;
    inset: 0;
    /* shorthand for top: 0; right: 0; bottom: 0; left: 0 */
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* behaves like background-size: cover */
    object-position: center;
    /* like background-position: center */
    z-index: 0;
    pointer-events: none;
    /* prevents image from blocking text interaction */
}


.home-subtitle,
.home-subtitle2 {
    font-size: 23px;
    padding: 15px;
    -webkit-font-smoothing: antialiased;
    margin: auto;
}

.home-subtitle2 {
    font-size: 15px;
}



nav ul {
    list-style: none;
    margin: 0;
    padding: 0.5rem 0;
    display: flex;
    width: 100%;

}

nav li a {
    display: block;
    padding: 0.5rem 1rem;
}

/* Toggle "open" state */
.menu.is-open {
    display: block;
}


nav {

    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    height: var(--menu-bar-height);
    margin: auto;
    position: fixed;
    top: 0;
    background-color: white;
    z-index: 100;
    transition: transform 0.5s ease;


}

.nav-toggle,
.search-btn {

    border: none;
    font-size: 1.0rem;
    cursor: pointer;
    /* make them square hit areas matching nav height */
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
    background: none;
}

.nav-toggle img,
.search-btn img {
    width: var(--menu-buttons-size);
    object-fit: contain;
}


.menu {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    position: fixed;
    top: var(--menu-bar-height);
    right: 0;
    /* stay attached to the right edge */
    width: 100%;
    height: 60%;
    flex-direction: column;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    background-color: white;

    transform: translateX(100%);
    /* start completely off-screen */
    transition: transform .5s ease;
    z-index: 9999;
}

.menu.is-open {
    transform: translateX(0);
    /* slide into view */
}




.menu li a {
    display: block;
    padding: 0.75rem 1rem;
    text-decoration: none;
    color: rgb(112, 114, 112);
}

.menu li a:hover {
    text-decoration: underline;
    font-weight: bold;
    color: rgb(129, 129, 129);
}

nav.hidden {
    transform: translateY(-100%);
}


nav img {
    height: var(--menu-bar-height);
    width: auto;
    margin: auto;
    flex-shrink: 0;
}



.products-section {
    padding: 0;
    padding-left: 1rem;
    padding-right: 1rem;
    max-width: 1100px;
    margin: 0 auto;
}



.products-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    /* 4 columns */
    gap: 2rem;
}



@media (max-width:600px) {
    .products-grid {
        grid-template-columns: repeat(2, 1fr);
        /* 2 columns */
    }
}



.product-card {
    text-align: center;
}

.product-thumb {
    width: 100%;
    aspect-ratio: 1 / 1;
    /* square */
    overflow: hidden;
    border-radius: 12px;
    background: #f5f5f5;
}

.product-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.product-name {
    margin: 0;
    margin-top: 1rem;
    font-size: 1.0rem;
    font-weight: normal;
    text-align: start;
    text-decoration: 'none';

}

.priceline {
    font-size: 0.75rem;
    color: var(--greyText);

    text-align: start;
    line-height: 1;
    margin: 0;
}

button{
background-color: transparent;
width: fit-content;
padding:5px 25px;
margin: 5px;
border-width: 1.5px;
}
button:hover{
    border-width: 2px;
}

.upper{
    text-transform: uppercase;
}